DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSVOILUT Class Reference

the representation of one VOI LUT in a DICOM image. More...

## Public Member Functions
| DVPSVOILUT ()
| default constructor
| DVPSVOILUT (const DVPSVOILUT &copy)
| copy constructor
DVPSVOILUT * | clone ()
| clone method. More...
virtual | ~DVPSVOILUT ()
| destructor
OFCondition | read (DcmItem &dset)
| reads a VOI LUT from a DICOM dataset. More...
void | clear ()
| resets the object to initial state. More...
const char * | getExplanation ()
| gets the LUT explanation for this VOI LUT. More...
OFCondition | assign (DVPSSoftcopyVOI &voi)
| assigns the contents of this VOI LUT to the references passed as parameters. More...

## Private Member Functions
DVPSVOILUT & | operator= (const DVPSVOILUT &)
| private undefined assignment operator

## Private Attributes
DcmUnsignedShort | voiLUTDescriptor
| Module=VOI_LUT, VR=xs, VM=3, Type 1c.
DcmLongString | voiLUTExplanation
| Module=VOI_LUT, VR=LO, VM=1, Type 3.
DcmUnsignedShort | voiLUTData
| Module=VOI_LUT, VR=xs, VM=1-n, Type 1c.

## Detailed Description

the representation of one VOI LUT in a DICOM image.

## Member Function Documentation

## ◆ assign()

OFCondition DVPSVOILUT::assign | ( | DVPSSoftcopyVOI & | voi | ) |

assigns the contents of this VOI LUT to the references passed as parameters.

Parameters

  voi | reference to the Softcopy VOI in which the LUT is stored.

## ◆ clear()

void DVPSVOILUT::clear | ( |  | ) |

resets the object to initial state.

After this call, the object is in the same state as after creation with the default constructor.

## ◆ clone()

DVPSVOILUT* DVPSVOILUT::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSVOILUT object containing a copy of this object.

## ◆ getExplanation()

const char* DVPSVOILUT::getExplanation | ( |  | ) |

gets the LUT explanation for this VOI LUT.

If no explanation exists, NULL is returned.

Returns
  LUT explanation or NULL

## ◆ read()

OFCondition DVPSVOILUT::read | ( | DcmItem & | dset | ) |

reads a VOI LUT from a DICOM dataset.

The DICOM elements of the VOI LUT item are copied from the dataset to this object. The completeness of the item (presence of all required elements, value multiplicity) is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the item of the VOI LUT Sequence from which the data is to be read

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsvl.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1